Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01023 Side-by-side Minor Have not tried Feb 8, 2008, 13:14 Apr 3, 2008, 18:37
Tester Gary Walton View Status Public Platform
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver galaxian.cpp
Version 0.37b8 Fixed in Version 0.124u1 Build
Summary 01023: mooncrst: Side-by-side test.
Description This seems fine apart from the stars. Here are the observations.

1) Emulated stars and PCB move at correct speed (approx 8.4 secs from top to bottom). Okay - although see (5) below.

2) The initial position of the stars on the PCB are FIXED at the point you turn the machine on. It never changes no matter how often you turn the PCB on and off (it is quite easy to recognize the star patterns after a while). They are not random.

3) The star pattern is never 'cleared', ever. No matter what graphics are displayed, they simply appear on top of the stars.
Mame exhibits a 'reset' in the stars at various points. This is not so. I.e. The stars are independant of what goes on around them.

4) The pattern moves slowly from right to left ( 1 pixel per frame ????).
NOTE: *Not* left to right !

5) Finally, and this makes a big visual difference, the frequency that the stars blink is approx. 16 times from top to bottom. It looks like they change state every 30 frames. Mame is about 8 times or every 60 frames. This makes the scroll appear slow.

Regards

Gary


Here are some more differences between the arcade and mame (mooncrst37b8):

1) During docking sequences, ships I & II both have their flames offset to the right by 1 pixel. Ship III flames are always central ( of course, it could be the SHIPS that are wrong - and the flames correct - and they should be offset by 1 to the left ).

2) When ship III appears with either I or II ( or both ), ship 3 is always offset to the right by 1 pixel. Ships 1 and 2 are always dead central above each other.

3) This is a strange one ! Setting both mame and PCB off together, everything is fine up to and including the sequence following the docking( i.e. docking and then the bug-type aliens ). During the *next* sequence, the PCB always dies first, leaving five (or six - it's hard to tell) aliens left. Mame dies a couple of seconds later leaving three aliens. This results in the next sequence being totally different as the PCB has ships II and III whilst mame has ships I and III. The demo sequence is not random and is the same each time it plays.

Looking between the two monitors to see both screens at the same time, it is difficult to see exactly what is the difference. Your ships moves the same in both screens. Is it possible that, because of the offset mentioned above, this could have an effect on collision ?

Regards

Gary
Steps To Reproduce
Additional Information Formerly driver galaxian.c (changed in 0.124u1)
Flags Verified with Original
Regression Version
Affected Sets / Systems mooncrst
Attached Files
 
Relationships
related to 01666Confirmed mooncrst: Side-by-side test. 
Notes
1
User avatar
No.00444
aaronmod
Developer
Mar 28, 2008, 01:11
edited on: Mar 28, 2008, 03:44
All differences mentioned here are fixed in 0.124u1, apart from #3 in the second batch, where MAME still gets out of sync relative to the PCB as described. Once 0.124u1 is released, we should separate this issue from the rest and create a new bug, resolving this one.